Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.veri.studio/llms.txt

Use this file to discover all available pages before exploring further.

SSH keys are used when deploying training jobs to VM-based providers like Lambda Cloud, RunPod, or . Keys are encrypted at rest.

Create SSH Key

name
string
required
A label for the key pair.
public_key
string
required
The SSH public key.
private_key
string
required
The SSH private key. Encrypted at rest.
provider
string
Optional provider hint (e.g., lambda, runpod, sfcompute).

Request

curl -X POST https://api.veri.studio/v1/ssh_keys \
  -H "Authorization: Bearer vk_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "lambda-deploy-key",
    "public_key": "ssh-ed25519 AAAA...",
    "private_key": "-----BEGIN OPENSSH PRIVATE KEY-----\n...",
    "provider": "lambda"
  }'

Response

{
  "id": "sk_abc123",
  "object": "ssh_key",
  "name": "lambda-deploy-key",
  "provider": "lambda",
  "created_at": "2026-05-01T10:00:00Z"
}

List SSH Keys

limit
integer
default:"20"
Maximum number of keys to return.
after
string
Cursor for pagination. Pass the ID of the last item from the previous page.

Request

curl https://api.veri.studio/v1/ssh_keys \
  -H "Authorization: Bearer vk_your_api_key"

Response

{
  "object": "list",
  "data": [
    {
      "id": "sk_abc123",
      "object": "ssh_key",
      "name": "lambda-deploy-key",
      "provider": "lambda",
      "created_at": "2026-05-01T10:00:00Z"
    }
  ],
  "has_more": false
}

Delete SSH Key

Request

curl -X DELETE https://api.veri.studio/v1/ssh_keys/sk_abc123 \
  -H "Authorization: Bearer vk_your_api_key"

Response

{
  "id": "sk_abc123",
  "object": "ssh_key",
  "deleted": true
}